Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ec.cgp.representation
Class IntegerVectorSpecies

    java.lang.Object
      ec.Species
          ec.vector.VectorSpecies
              ec.cgp.representation.VectorSpeciesCGP
                  ec.cgp.representation.IntegerVectorSpecies

All Implemented Interfaces:
  ec.Prototype, ec.Setup, java.io.Serializable, java.lang.Cloneable

    public class IntegerVectorSpecies

extends VectorSpeciesCGP

Integer-based genome representation of a Cartesian Genetic Program. Each integer value is restricted to a range that is a function of its position in the genome.

Author:
  David Oranchak, doranchak@gmail.com, http://oranchak.com
See Also:
  Serialized Form

Field Summary

Fields inherited from class ec.cgp.representation.VectorSpeciesCGP
`GENE_ARGUMENT, GENE_FUNCTION, GENE_OUTPUT, maxArity, numFunctions, numInputs, numNodes, numOutputs, P_FUNCTIONS, P_MAX_ARITY, P_NUM_FUNCTIONS, P_NUM_INPUTS, P_NUM_NODES, P_NUM_OUTPUTS, P_VECTORSPECIES`

Fields inherited from class ec.vector.VectorSpecies
`C_ANY_POINT, C_ONE_POINT, C_TWO_POINT, chunksize, crossoverProbability, crossoverType, genomeSize, mutationProbability, P_CHUNKSIZE, P_CROSSOVERPROB, P_CROSSOVERTYPE, P_GENOMESIZE, P_MUTATIONPROB, V_ANY_POINT, V_ONE_POINT, V_TWO_POINT`

Fields inherited from class ec.Species
`f_prototype, i_prototype, P_FITNESS, P_INDIVIDUAL, P_PIPE, pipe_prototype`

Constructor Summary
`IntegerVectorSpecies()`

Method Summary
`void` | `setup(ec.EvolutionState state, ec.util.Parameter base)` The default version of setup(...) loads requested pipelines and calls setup(...) on them and normalizes their probabilities.

Methods inherited from class ec.cgp.representation.VectorSpeciesCGP
`computeMaxGene, computeMaxGene, defaultBase, function, function, functionSub, interpretFloat, nodeNumber, nodeNumber, numGenes, phenotype, phenotype, phenotypeDescription, positionFromNodeNumber, toString`

Methods inherited from class ec.vector.VectorSpecies
`newIndividual`

Methods inherited from class ec.Species
`clone, newIndividual, newIndividual`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerVectorSpecies

    public IntegerVectorSpecies()

Method Detail

### setup

    public void setup(ec.EvolutionState state,
                      ec.util.Parameter base)

  Description copied from class: `ec.Species`
  The default version of setup(...) loads requested pipelines and calls setup(...) on them and normalizes their probabilities. If your individual prototype might need to know special things about the species (like parameters stored in it), then when you override this setup method, you'll need to set those parameters BEFORE you call super.setup(...), because the setup(...) code in Species sets up the prototype.

  Specified by:
    `setup` in interface `ec.Prototype`
  Specified by:
    `setup` in interface `ec.Setup`
  Overrides:
    `setup` in class `VectorSpeciesCGP`
  See Also:
    `Prototype.setup(EvolutionState,Parameter)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD